Index: trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 5083)
+++ trunk/expressoMail1_2/js/draw_api.js	(revision 5134)
@@ -3151,146 +3426,48 @@
 //////////////////////////////////////////////////////////////////////////////////////////////////////
 	var tr5 = document.createElement("TR");
-	var td5 = document.createElement("TD");
-	td5.innerHTML = "&nbsp;";
-	var td_return_receipt = document.createElement("TD");
-	td_return_receipt.setAttribute("noWrap","true");
-	td_return_receipt.innerHTML = get_lang("Return receipt")+":";
-		if (is_ie)
-		{
-			var input_return_receipt = document.createElement('input name=input_return_receipt');
-		}
-		else
-		{
-			var input_return_receipt = document.createElement('input');
-			input_return_receipt.name = "input_return_receipt";
-		}
-	input_return_receipt.type = "checkbox";
-	input_return_receipt.className = "checkbox";
-	input_return_receipt.id = "return_receipt_"+ID;
-
-        if(preferences.return_recipient_deafault != '0'){
-             if (is_ie){
-        	input_return_receipt.checked=true;
-             }
-             else{
-                input_return_receipt.defaultChecked=true;
-             }
-        }
-
-	input_return_receipt.setAttribute("tabIndex","-1");
-	td_return_receipt.appendChild(input_return_receipt);
-
-	// Workaround para resolver problema ao enviar e-mails
-	if((preferences.use_assinar_criptografar != '0'))
-	{
-		if(parseInt(preferences.use_signature_digital_cripto)==1)
-		{
-			td_return_receipt.innerHTML +=  "&nbsp;&nbsp;" + get_lang("Digitally sign message?")+"";
-
-			if (is_ie)
-			{
-				var input_return_digital = document.createElement('input name=input_return_digital');
-			}
-			else
-			{
-			var input_return_digital = document.createElement('input');
-				input_return_digital.name = "input_return_digital";
-			}
-
-			input_return_digital.type = "checkbox";
-			input_return_digital.className = "checkbox";
-			input_return_digital.id = "return_digital_"+ID;
-			input_return_digital.setAttribute("tabIndex","-1");
-			if(parseInt(preferences.use_signature_digital)==1)
-			{
-                            if (is_ie)
+	var td_content = '';
+
+	if((preferences.use_assinar_criptografar != '0')) {
+		if(parseInt(preferences.use_signature_digital_cripto)==1) {
+			var input_return_digital_chk = (parseInt(preferences.use_signature_digital)==1) ? 'checked="checked"' : '';
+			var input_return_digital = '<input type="checkbox" class="checkbox" name="input_return_digital" id="return_digital_'+ID+'" tabIndex="-1" '+input_return_digital_chk+' />';
+			var label_return_digital = '<label for="return_digital_'+ID+'">'+get_lang("Digitally sign message?")+'</label>';
+
+			td_content += input_return_digital + label_return_digital;
+
+			var input_return_cripto_chk = (parseInt(preferences.use_signature_cripto)==1) ? 'checked="checked"' : '';
+			var input_return_cripto = '<input type="checkbox" class="checkbox" name="input_return_cripto" id="return_cripto_'+ID+'" tabIndex="-1" '+input_return_cripto_chk+' />';
+			var label_return_cripto = '<label for="return_cripto_'+ID+'">'+get_lang("Digitally crypt message?")+'</label>';
+
+			td_content += input_return_cripto + label_return_cripto;
+                            }
+			}
+
+	var input_return_receipt_chk = (preferences.return_recipient_deafault != '0') ? 'checked="checked"' : '';
+	var input_return_receipt = '<input type="checkbox" class="checkbox" name="input_return_receipt" id="return_receipt_'+ID+'" tabIndex="-1" '+input_return_receipt_chk+' />';
+	var label_return_receipt = '<label for="return_receipt_'+ID+'">'+get_lang("Return receipt")+'</label>';
+
+	td_content += input_return_receipt + label_return_receipt;
+
+	if (parseInt(preferences.use_important_flag))
                             {
-				input_return_digital.checked=true;
-                            }
-                            else
-                            {
-                                input_return_digital.defaultChecked=true;
-                            }
-			}
-			td_return_receipt.appendChild(input_return_digital);
-			td_return_receipt.innerHTML +=  "&nbsp;&nbsp;" + get_lang("Digitally crypt message?")+"";
-
-			if (is_ie)
-			{
-				var input_return_cripto = document.createElement('input name=input_return_cripto');
-			}
-			else
-			{
-			var input_return_cripto = document.createElement('input');
-				input_return_cripto.name = "input_return_cripto";
-			}
-
-			input_return_cripto.type = "checkbox";
-			input_return_cripto.className = "checkbox";
-			input_return_cripto.id = "return_cripto_"+ID;
-			input_return_cripto.setAttribute("tabIndex","-1");
-			input_return_cripto.defaultChecked=false;
-
-			if(parseInt(preferences.use_signature_cripto)==1)
-			{
-                            if (is_ie)
-                            {
-				input_return_cripto.checked=true;
-                            }
-                            else
-                            {
-				input_return_cripto.defaultChecked=true;
-                            }
-			}
-
-			td_return_receipt.appendChild(input_return_cripto);
-		}
-	}
-	td_return_receipt.innerHTML += "";
-	tr5.appendChild(td5);
-	tr5.appendChild(td_return_receipt);
-
-        if ( ! expresso_offline )
-	{
-		var text_plain = td_return_receipt.appendChild(
-			document.createElement( 'span' )
-		).appendChild(
-			document.createTextNode( ' | ' )
-		).parentNode.appendChild(
-			document.createTextNode( get_lang('Send this mail as text plain') + '.')
-                ).parentNode.appendChild(
-                        document.createElement( 'input' )
-		);
-                text_plain.setAttribute( 'tabIndex', '-1' );
-                text_plain.id = 'textplain_rt_checkbox_' + ID ;
-                text_plain.type = "checkbox";
-                text_plain.onclick = function ()
-		{
-		RichTextEditor.setPlain( this.checked, ID );
-		};
+		var input_important = '<input type="checkbox" class="checkbox" id="important_message_'+ID+'" name="input_important_message" tabIndex="-1"/>';
+		var label_important = '<label for="important_message_'+ID+'">'+get_lang("Important message")+'</label>';
+		//jQuery(tbody_message).append('<tr><td> </td><td>'+input_important+label_important+'</td</tr>');
+
+		td_content += input_important + label_important;
+	}
+
+	if (!expresso_offline) {
+		var onclk_text_plain = 'javascript:RichTextEditor.setPlain(this.checked, '+ID+');';
+		var input_text_plain = '<input type="checkbox" class="checkbox" name="textplain_rt_checkbox" id="textplain_rt_checkbox_'+ID+'" tabIndex="-1" onclick="'+onclk_text_plain+'"/>';
+		var label_text_plain = '<label for="textplain_rt_checkbox_'+ID+'">'+get_lang('Simple text mode')+'</label>';
 			
-	}
-
+		td_content += input_text_plain + label_text_plain;
+	}
+
+	jQuery(tr5).append('<td>&nbsp;</td><td class="message-general-options">'+td_content+'</td>');
 	
 	tbody_message.appendChild(tr5);
-	if (parseInt(preferences.use_important_flag))
-	{
-		var trn = document.createElement("TR");
-		var tdn = document.createElement("TD");
-		tdn.innerHTML = "&nbsp;";
-		var td_important_msg = document.createElement("TD");
-		td_important_msg.setAttribute("noWrap","true");
-		td_important_msg.innerHTML = get_lang("Important message")+":";
-		var input_important_message = document.createElement('input');
-		input_important_message.type = "checkbox";
-		input_important_message.className = "checkbox";
-		input_important_message.id = "important_message_"+ID;
-		input_important_message.name = "input_important_message";
-		input_important_message.setAttribute("tabIndex","-1");
-		td_important_msg.appendChild(input_important_message);
-		trn.appendChild(tdn);
-		trn.appendChild(td_important_msg);
-		tbody_message.appendChild(trn);
-	}
 
         /**
@@ -3319,6 +3496,52 @@
 	add_files.innerHTML =  get_lang("Attachments: add+");
 	add_files.setAttribute("tabIndex","-1");
+	
+	var add_msgs = document.createElement("A");
+	add_msgs.setAttribute("href", "javascript:void(0)");
+	is_ie ? add_msgs.setAttribute("className", 'message-attach-link') : add_msgs.setAttribute("class", 'message-attach-link');
+	add_msgs.innerHTML =  get_lang("Messages: add+");
 	var divfiles = document.createElement("DIV");
 	divfiles.id = "divFiles_"+ID;
+
+	jQuery(add_msgs).click(function(event){
+		jQuery('#message-attach-dialog').html("../prototype/modules/attach_message/attach_message.ejs", {data:{}}).dialog({
+			width:920,
+			height:550,
+			resizable:false,
+			modal: true,
+			closeOnEscape:true,
+			close:function(event, ui) {event.stopPropagation();},
+			autoOpen:false
+		});
+		jQuery.getScript("../prototype/modules/attach_message/attach_message.js", function(){
+			jQuery('#message-attach-dialog').dialog('open');
+			
+			jQuery('#message-attach-attach-btn').click(function(event){
+				//alert(dump(selectedMessages));../
+				jQuery.each(selectedMessages, function(folder_name, messages) {
+				  
+					var isOffline = /^local_messages/.test(folder_name);
+
+					jQuery.each(selectedMessages[folder_name], function(message_number, message) { 
+						if (message) {
+							var subject = onceOpenedMessages[folder_name][message_number].subject;
+							var text_input  = '<input type="text" name="message_attachments['+folder_name+']['+message_number+']" value="'+subject+'"/>';
+							    text_input += '<a href="javascript:void(0)" onclick="javascript:this.parentNode.parentNode.removeChild(this.parentNode);">' + get_lang("Remove")+'</a>';
+
+							    if( isOffline )
+								text_input += '<input type="hidden" name="message_attachments_content['+folder_name+']['+message_number+']" value="'+Base64.encode( onceOpenedMessages[folder_name][message_number].eml )+'"/>';
+							jQuery(divfiles).append('<div>'+text_input+'</div>');
+						}
+
+					});
+				});
+				
+				jQuery('#message-attach-dialog').dialog('close');
+			});
+			jQuery('#message-attach-cancel-btn').click(function(event){
+				jQuery('#message-attach-dialog').dialog('close');
+			});
+		});
+	});
 	var tr5 = document.createElement("TR");
 	var td5_link = document.createElement("TD");
@@ -3328,4 +3551,6 @@
 	td5_link.setAttribute("colSpan","2");
 	td5_link.appendChild(add_files);
+	td5_link.appendChild(add_msgs);
+	$(td5_link).append('<div id="message-attach-dialog" title="'+get_lang('Select messages to attach...')+'"> </div>');
 	tr5.appendChild(td5_input);
 	tr5.appendChild(td5_link);
@@ -3426,14 +3651,17 @@
 		if(data.length > 0) {
 			tr1_1.style.display = '';
+                        var mycn = typeof(data.myname != 'undefined') ? data.myname : '';
 			var _option = document.createElement("OPTION");
-			_option.text =  '"'+data.myname+'" <'+Element("user_email").value+'>';
-			_option.value  = data.myname+";"+Element("user_email").value;
+			_option.text =  '"'+mycn+'" <'+Element("user_email").value+'>';
+			_option.value  = mycn+";"+Element("user_email").value;
 			sel_from.options[sel_from.options.length] = _option;
 
 			var options = '';
+                        var cn = '';
 			for (var x = 0; x < data.length; x++)	{
+                                cn = typeof(data[x].cn[0] != 'undefined') ? data[x].cn[0] : '';
 				var _option = document.createElement("OPTION");
-				_option.text = '"'+data[x].cn[0] + '" <'+data[x].mail[0]+'>';
-				_option.value = data[x].cn[0] + ';'+data[x].mail[0]+';'+data[x].save_shared[0]+';'+data[x].uid[0];
+				_option.text = '"'+cn+'" <'+data[x].mail[0]+'>';
+				_option.value = cn+';'+data[x].mail[0]+';'+data[x].save_shared[0]+';'+data[x].uid[0];
 				sel_from.options[sel_from.options.length] = _option	;
 			}
@@ -3452,8 +3680,11 @@
 
 function changeBgColorToON(all_messages, begin, end){
+	var _tab_prefix = getTabPrefix();
+	var _msg_id;
 	for (begin; begin<=end; begin++)
 	{
+		_msg_id = getMessageIdFromRowId(all_messages[begin].id);
 		add_className(all_messages[begin], 'selected_msg');
-		Element("check_box_message_" + all_messages[begin].id).checked = true;
+		Element(_tab_prefix + "check_box_message_" + _msg_id).checked = true;
 	}
 }
@@ -3502,8 +3733,19 @@
 	else{
 		//if ( exist_className(actual_tr, 'selected_msg') )
-		if ( Element('check_box_message_' + _element_id).checked )
+		if ( document.getElementById(getTabPrefix()+'check_box_message_' + msg_number).checked ){
+			if( document.getElementById("chk_box_select_all_messages").checked) {
+				add_className(actual_tr, 'selected_msg selected_shortcut_msg'); 
+			}else
 			add_className(actual_tr, 'selected_msg');
-		else
+		}else{
+			if( document.getElementById("chk_box_select_all_messages").checked){
+				remove_className(actual_tr, 'selected_msg selected_shortcut_msg');
+				remove_className(actual_tr, 'selected_msg');
+				remove_chk_box_select_all_messages();
+				if(actual_tr.className == 'selected_msg')
 			remove_className(actual_tr, 'selected_msg');
+			}else
+				remove_className(actual_tr, 'selected_msg');
+		}
 	}
 	last_message_selected = _element_id;
Index: trunk/expressoMail1_2/js/doiMenuData.js
===================================================================
--- trunk/expressoMail1_2/js/doiMenuData.js	(revision 3388)
+++ trunk/expressoMail1_2/js/doiMenuData.js	(revision 5134)
@@ -18,5 +18,5 @@
 		if(preferences.use_local_messages==1) {
 			if(expresso_local_messages.is_offline_installed()) {
-				itens.push("force_check_queue()|" + get_lang("Send from queue") + "|queue.jpg");
+				itens.push("force_check_queue()|" + get_lang("Send from queue") + "|queue.png");
 			}
 		}
Index: trunk/expressoMail1_2/js/DropDownContacts.js
===================================================================
--- trunk/expressoMail1_2/js/DropDownContacts.js	(revision 4304)
+++ trunk/expressoMail1_2/js/DropDownContacts.js	(revision 5134)
@@ -79,5 +79,9 @@
 	var REG_EXP = /^[^\#|^\$|^\%|^\!|^\?|^\"|^\']+$/;
 	var match_cont = "";
-	for (var i=0; i<match_contacts.length; i++)
+	var limit_index;
+	
+	match_contacts.length > 30? limit_index = 30 : limit_index = match_contacts.length; 
+	
+	for (var i=0; i<limit_index; i++)
 	{
 		match_contacts[i] = unescape(match_contacts[i]); 
@@ -95,9 +99,8 @@
 	}
 
-	
-	if (document.getElementById('tipDiv')){ 
-		document.getElementById('tipDiv').focus(); 
- 	} 
-
+    //Removido pois retirava o focus no ie	a cada letra digitada
+	//if (document.getElementById('tipDiv')){ 
+	//	document.getElementById('tipDiv').focus(); 
+ 	//} 
 
 	// treat especials keys
